ExternalizerTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.externalizer.ExternalizerTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.externalizer
Class ExternalizerTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.modules.externalizer.ExternalizerTagsHandler

public class ExternalizerTagsHandler
extends XDocletTagSupport

Tags used in generating & using externalised property resource bundles.

Version:
  $Revision: 1.7 $
Author:
  Ara Abrahamian (ara_e_w@yahoo.com)
xdoclet.taghandler
  namespace="Externalizer"
created
  May 30, 2002

Field Summary

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`ExternalizerTagsHandler()`

Method Summary
`String` | `bundleKey()` Current resource bundle name, will be called by `propertiestranslator` subtask.
`void` | `forAllFieldTags(String template)` Evaluate the body for all field tags.
`String` | `key()` The current key.
`String` | `value()` The current value, with Unicode escapes where necessary.

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExternalizerTagsHandler

    public ExternalizerTagsHandler()

Method Detail

### forAllFieldTags

    public void forAllFieldTags(String template)
                         throws XDocletException

  Evaluate the body for all field tags. Works only in context of `externalizer` subtask.

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException`
  doc.tag
    type="block"

### bundleKey

    public String bundleKey()
                     throws XDocletException

  Current resource bundle name, will be called by `propertiestranslator` subtask.

  Returns:
    bundle name
  Throws:
    `XDocletException`
  doc.tag
    type="content"

### key

    public String key()
               throws XDocletException

  The current key.

  Returns:
    key
  Throws:
    `XDocletException`
  doc.tag
    type="content"

### value

    public String value()
                 throws XDocletException

  The current value, with Unicode escapes where necessary.

  Returns:
    value
  Throws:
    `XDocletException`
  doc.tag
    type="content"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD